### org.jfree.layouting.output

# Class AbstractOutputProcessorMetaData

- `java.lang.Object`
- - `org.jfree.layouting.output.AbstractOutputProcessorMetaData`

Implemented Interfaces:
  OutputProcessorMetaData

Known Direct Subclasses:
  GraphicsOutputProcessorMetaData, HtmlOutputProcessorMetaData, PdfOutputProcessorMetaData, PlaintextOutputMetaData

`public abstract class AbstractOutputProcessorMetaData`
`extends java.lang.Object`
`implements OutputProcessorMetaData`

Creation-Date: 02.01.2006, 18:39:46

Author:
  Thomas Morgner

  ## Constructor Summary

  `AbstractOutputProcessorMetaData(FontStorage fontStorage)`

  ## Method Summary

  `protected void`

  `addFeature(OutputProcessorFeature.BooleanOutputProcessorFeature feature)`

  `PageSize`

  `getDefaultPageSize()`
    Returns the default physical page size.

  `FontFamily`

  `getFontFamilyForGenericName(CSSConstant genericName)`

  `FontMetrics`

  `getFontMetrics(FontSpecification spec)`

  `protected FontRegistry`

  `getFontRegistry()`

  `double`

  `getFontSize(CSSConstant constant)`

  `FontStorage`

  `getFontStorage()`
    Although most font systems are global, some may have some issues with caching.

  `int`

  `getHorizontalPageSpan()`
    Returns the horizontal page span.

  `String`

  `getMediaType()`
    Returns the media type of the output target.

  `String`

  `getNormalizedFontFamilyName(String name)`

  `double`

  `getNumericFeatureValue(OutputProcessorFeature.NumericOutputProcessorFeature feature)`

  `Class[]`

  `getSupportedResourceTypes()`

  `int`

  `getVerticalPageSpan()`
    Returns the vertical page span.

  `boolean`

  `isFeatureSupported(OutputProcessorFeature.BooleanOutputProcessorFeature feature)`

  `boolean`

  `isValid(FontSpecification spec)`

  `protected void`

  `setFamilyMapping(CSSConstant family, String name)`

  `protected void`

  `setNumericFeatureValue(OutputProcessorFeature.NumericOutputProcessorFeature feature, double value)`

## Constructor Details

### AbstractOutputProcessorMetaData

    protected AbstractOutputProcessorMetaData(FontStorage fontStorage)

## Method Details

### addFeature

    protected void addFeature(OutputProcessorFeature.BooleanOutputProcessorFeature feature)

### getDefaultPageSize

    public PageSize getDefaultPageSize()

> Returns the default physical page size. If not defined otherwise, this will also be the logical size.
> Specified by:
>   getDefaultPageSize in interface OutputProcessorMetaData
> Returns:

### getFontFamilyForGenericName

    public FontFamily getFontFamilyForGenericName(CSSConstant genericName)

> Specified by:
>   getFontFamilyForGenericName in interface OutputProcessorMetaData

### getFontMetrics

    public FontMetrics getFontMetrics(FontSpecification spec)

> Specified by:
>   getFontMetrics in interface OutputProcessorMetaData

### getFontRegistry

    protected FontRegistry getFontRegistry()

### getFontSize

    public double getFontSize(CSSConstant constant)

> Specified by:
>   getFontSize in interface OutputProcessorMetaData

### getFontStorage

    public FontStorage getFontStorage()

> Although most font systems are global, some may have some issues with caching. OutputTargets may have to tweak the font storage system to their needs.
> Specified by:
>   getFontStorage in interface OutputProcessorMetaData
> Returns:

### getHorizontalPageSpan

    public int getHorizontalPageSpan()

> Returns the horizontal page span. If the value is less than one, it will be corrected to one.
> Specified by:
>   getHorizontalPageSpan in interface OutputProcessorMetaData
> Returns:

### getMediaType

    public String getMediaType()

> Returns the media type of the output target. This corresponds directly to the CSS defined media types and is used as a selector.
> Specified by:
>   getMediaType in interface OutputProcessorMetaData
> Returns:
>   the media type of the output target.

### getNormalizedFontFamilyName

    public String getNormalizedFontFamilyName(String name)

> Specified by:
>   getNormalizedFontFamilyName in interface OutputProcessorMetaData

### getNumericFeatureValue

    public double getNumericFeatureValue(OutputProcessorFeature.NumericOutputProcessorFeature feature)

> Specified by:
>   getNumericFeatureValue in interface OutputProcessorMetaData

### getSupportedResourceTypes

    public Class[] getSupportedResourceTypes()

> Specified by:
>   getSupportedResourceTypes in interface OutputProcessorMetaData

### getVerticalPageSpan

    public int getVerticalPageSpan()

> Returns the vertical page span. If the value is zero or negative, no
> Specified by:
>   getVerticalPageSpan in interface OutputProcessorMetaData
> Returns:

### isFeatureSupported

    public boolean isFeatureSupported(OutputProcessorFeature.BooleanOutputProcessorFeature feature)

> Specified by:
>   isFeatureSupported in interface OutputProcessorMetaData

### isValid

    public boolean isValid(FontSpecification spec)

> Specified by:
>   isValid in interface OutputProcessorMetaData

### setFamilyMapping

    protected void setFamilyMapping(CSSConstant family,
                                    String name)

### setNumericFeatureValue

    protected void setNumericFeatureValue(OutputProcessorFeature.NumericOutputProcessorFeature feature,
                                          double value)